Product List

Product List

GET /Products

Lists the product list of the restaurant in Adisyo

Example Request

Product list
curl -X GET "https://ext.adisyo.com/api/External/v2/Products" \
  --header "x-api-key: ..." \
  --header "x-api-secret: ..." \
  --header "x-api-consumer: ..."

Request Parameters

This method does not require any additional parameters

Example Response

Product list
{
  "data": [
    {
      "categoryName": "FIRINDAN",
      "categoryId": 206669,
      "products": [
        {
          "productName": "LAHMACUN",
          "productCode": null,
          "productUnits": [
            {
              "unitName": "Tam",
              "prices": [
                {
                  "price": 0,
                  "orderType": 1,
                  "isActive": true
                },
                {
                  "price": 0,
                  "orderType": 3,
                  "isActive": true
                },
                {
                  "price": 0,
                  "orderType": 5,
                  "isActive": true
                }
              ],
              "productUnitId": 2482507,
              "isDefault": true
            }
          ],
          "productId": 2336571,
          "taxRate": 10,
          "isStockFollow": false,
          "stockList": null,
          "menus": [],
          "excludedFeatures": [
            {
              "featureName": "Maydanoz",
              "featureId": 90201,
              "featureCode": "ING-MYD",
              "productId": 2336571
            }
          ]
        },
        {
          "productName": "ADANA",
          "productCode": null,
          "productUnits": [
            {
              "unitName": "Tam",
              "prices": [
                {
                  "price": 0,
                  "orderType": 1,
                  "isActive": true
                },
                {
                  "price": 0,
                  "orderType": 3,
                  "isActive": true
                },
                {
                  "price": 0,
                  "orderType": 5,
                  "isActive": true
                }
              ],
              "productUnitId": 2482508,
              "isDefault": true
            }
          ],
          "productId": 2336572,
          "taxRate": 10,
          "isStockFollow": false,
          "stockList": null,
          "menus": [],
          "excludedFeatures": [
            {
              "featureName": "Soğan",
              "featureId": 90202,
              "featureCode": "ING-SGN",
              "productId": 2336572
            }
          ]
        },
        {
          "productName": "HATAY DÖNER",
          "productCode": null,
          "productUnits": [
            {
              "unitName": "adet",
              "prices": [
                {
                  "price": 0,
                  "orderType": 1,
                  "isActive": true
                },
                {
                  "price": 0,
                  "orderType": 3,
                  "isActive": true
                },
                {
                  "price": 0,
                  "orderType": 5,
                  "isActive": true
                }
              ],
              "productUnitId": 2112388,
              "isDefault": true
            }
          ],
          "productId": 1994344,
          "taxRate": 10,
          "isStockFollow": false,
          "stockList": null,
          "menus": [],
          "excludedFeatures": [
            {
              "featureName": "Domates",
              "featureId": 90203,
              "featureCode": "ING-DMT",
              "productId": 1994344
            }
          ]
        },
        {
          "productName": "HAMBURGER",
          "productCode": null,
          "productUnits": [
            {
              "unitName": "adet",
              "prices": [
                {
                  "price": 0,
                  "orderType": 1,
                  "isActive": true
                },
                {
                  "price": 0,
                  "orderType": 3,
                  "isActive": true
                },
                {
                  "price": 0,
                  "orderType": 5,
                  "isActive": true
                }
              ],
              "productUnitId": 2112392,
              "isDefault": true
            }
          ],
          "productId": 1994348,
          "taxRate": 10,
          "isStockFollow": false,
          "stockList": null,
          "menus": [],
          "excludedFeatures": [
            {
              "featureName": "Turşu",
              "featureId": 90204,
              "featureCode": "ING-TRS",
              "productId": 1994348
            }
          ]
        }
      ]
    },
    {
      "categoryName": "BURGER MENÜLER",
      "categoryId": 262361,
      "products": [
        {
          "productName": "BURGER MENÜ",
          "productCode": null,
          "productUnits": [
            {
              "unitName": "adet",
              "prices": [
                {
                  "price": 114,
                  "orderType": 1,
                  "isActive": true
                },
                {
                  "price": 130,
                  "orderType": 3,
                  "isActive": true
                },
                {
                  "price": 114,
                  "orderType": 5,
                  "isActive": true
                }
              ],
              "productUnitId": 2953377,
              "isDefault": true
            }
          ],
          "productId": 2767349,
          "taxRate": 10,
          "isStockFollow": false,
          "stockList": null,
          "menus": [],
          "excludedFeatures": [
            {
              "featureName": "Soğan",
              "featureId": 90202,
              "featureCode": "ING-SGN",
              "productId": 2767349
            }
          ]
        },
        {
          "productName": "DOUBLE BURGER MENÜ",
          "productCode": null,
          "productUnits": [
            {
              "unitName": "adet",
              "prices": [
                {
                  "price": 154,
                  "orderType": 1,
                  "isActive": true
                },
                {
                  "price": 170,
                  "orderType": 3,
                  "isActive": true
                },
                {
                  "price": 154,
                  "orderType": 5,
                  "isActive": true
                }
              ],
              "productUnitId": 2953379,
              "isDefault": true
            }
          ],
          "productId": 2767351,
          "taxRate": 10,
          "isStockFollow": false,
          "stockList": [
            {
              "stockQuantity": 0.0,
              "salesChannel": "Ana Kanal"
            },
            {
              "stockQuantity": 0.0,
              "salesChannel": "Pazar yerleri"
            }
          ],
          "menus": [],
          "excludedFeatures": [
            {
              "featureName": "Marul",
              "featureId": 90205,
              "featureCode": "ING-MRL",
              "productId": 2767351
            }
          ]
        }
      ]
    }
  ],
  "status": 100,
  "message": "İşlem Başarılı."
}

Response Parameters

Parameter NameData TypeDescription
dataArrayList of product categories and products
data.categoryNameStringCategory name
data.categoryIdNumberCategory ID
data.productsArrayList of products in the category
data.products.productNameStringProduct name
data.products.productCodeString?Product code
data.products.productUnitsArrayList of product units
data.products.productUnits.unitNameStringUnit name (Tam, adet, etc.)
data.products.productUnits.pricesArrayPrice list
data.products.productUnits.prices.priceNumberPrice
data.products.productUnits.prices.orderTypeNumberOrder type

| data.products.productUnits.prices.isActive | Boolean | Whether the product is on sale for this order type | | data.products.productUnits.productUnitId | Number | Product unit ID | | data.products.productUnits.isDefault | Boolean | Whether it is the default unit | | data.products.productId | Number | Product ID | | data.products.taxRate | Number | Tax rate | | data.products.isStockFollow | Boolean | Whether stock tracking is performed | | data.products.stockList | Array? | Stock list (by sales channel) | | data.products.stockList.stockQuantity | Number | Stock quantity | | data.products.stockList.salesChannel | String | Sales channel for which stock quantity is given | | data.products.menus | Array | Menu list | | data.products.excludedFeatures | Array | Features(ingredients) excluded from the product | | data.products.excludedFeatures.featureName | String | Feature name | | data.products.excludedFeatures.featureId | Number | Feature ID | | data.products.excludedFeatures.featureCode | String | Feature code | | data.products.excludedFeatures.productId | Number | ID of the product the feature belongs to | | status | Number | Response Codes | | message | String | Operation result message |